# Managing Wallets

## Add, update, or delete wallets

{% hint style="info" %}
This endpoint is in beta and is likely to change. Reach out if you'd like to use this endpoint.
{% endhint %}

<mark style="color:green;">`POST`</mark> `/v0.1/cluster/:name/update/wallets`

Update wallets in your cluster

<table><thead><tr><th width="249">Name</th><th>Description</th></tr></thead><tbody><tr><td>HEADER <code>X-AUTH-KEY</code></td><td><a href="/pages/GvLe79HZ0PXI5WTSVCdV#authentication">Authentication key from wallet</a></td></tr><tr><td><code>add</code></td><td><code>{ name: string; address: string }[]</code></td></tr><tr><td><code>update</code></td><td><code>{ name: string; address: string }[]</code></td></tr><tr><td><code>remove</code></td><td><code>string[]</code> (array of addresses)</td></tr></tbody></table>

**Example**

```bash
curl --request POST \
  --url https://api.clusters.xyz/v0.1/cluster/layerzero/update/wallets \
  --header 'Content-Type: application/json' \
  --header 'X-AUTH-KEY: eyJzaWduYXR1cmUiOiJhYmMxMjMiLCJzaWduaW5nRGF0ZSI6IjIwMjQtMDUtMTRUMTk6MDg6MjcuOTg1WiIsInR5cGUiOiJldm0iLCJ3YWxsZXQiOiIweDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAifQ=' \
  --data '{
  "add": [{
    "name": "hot",
    "address": "0x0000000000000000000000000000000000000000"
  }],
  "update": [],
  "remove": []
}'
```

**Response**

{% tabs %}
{% tab title="201" %}

```json
201
```

{% endtab %}

{% tab title="500" %}

```json
500
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/managing-wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
